import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  patientId: z.boolean().optional(),
  filename: z.boolean().optional(),
  originalName: z.boolean().optional(),
  mimeType: z.boolean().optional(),
  fileSize: z.boolean().optional(),
  filePath: z.boolean().optional(),
  uploadedAt: z.boolean().optional(),
  updatedAt: z.boolean().optional(),
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional()
}).strict();
export const PatientDocumentSelectObjectSchema: z.ZodType<Prisma.PatientDocumentSelect> = makeSchema() as unknown as z.ZodType<Prisma.PatientDocumentSelect>;
export const PatientDocumentSelectObjectZodSchema = makeSchema();
